> res[[n]]
% Generated by roxygen2: do not edit by hand
% Please edit documentation in ./roxygen-block-3.R
\name{C}
\alias{C}
\title{Class C}
\description{
Class C Description.
}
\details{
Classs C details.
}
\section{Super classes}{
\code{\link[roxygen2:A]{roxygen2::A}} -> \code{\link[roxygen2:B]{roxygen2::B}} -> \code{C}
}
\section{Public fields}{
\if{html}{\out{<div class="r6-fields">}}
\describe{
\item{\code{nosuchfield}}{This will warn.}

\item{\code{field5}}{C field 5.}

\item{\code{duplicatefield}}{Multiple.}

\item{\code{duplicatefield}}{times.}
}
\if{html}{\out{</div>}}
}
\section{Active bindings}{
\if{html}{\out{<div class="r6-active-bindings">}}
\describe{
\item{\code{nosuchfield}}{This will warn.}

\item{\code{active2}}{C binding 2.}

\item{\code{active4}}{C binding 4.}

\item{\code{active6}}{C binding 6.}

\item{\code{duplicate_binding}}{Double.}

\item{\code{duplicate_binding}}{Double double.}
}
\if{html}{\out{</div>}}
}
\section{Methods}{
\subsection{Public methods}{
\itemize{
\item \href{#method-meth2}{\code{C$meth2()}}
\item \href{#method-meth5}{\code{C$meth5()}}
\item \href{#method-undocumented_method}{\code{C$undocumented_method()}}
}
}
\if{html}{
\out{<details open ><summary>Inherited methods</summary>}
\itemize{
\item \out{<span class="pkg-link" data-pkg="roxygen2" data-topic="A" data-id="meth3">}\href{../../roxygen2/html/A.html#method-meth3}{\code{roxygen2::A$meth3()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="roxygen2" data-topic="B" data-id="meth1">}\href{../../roxygen2/html/B.html#method-meth1}{\code{roxygen2::B$meth1()}}\out{</span>}
\item \out{<span class="pkg-link" data-pkg="roxygen2" data-topic="B" data-id="meth4">}\href{../../roxygen2/html/B.html#method-meth4}{\code{roxygen2::B$meth4()}}\out{</span>}
}
\out{</details>}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-meth2"></a>}}
\if{latex}{\out{\hypertarget{method-meth2}{}}}
\subsection{Method \code{meth2()}}{
C method 2.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{C$meth2(Z = 10, ...)}\if{html}{\out{</div>}}
}

\subsection{Arguments}{
\if{html}{\out{<div class="arguments">}}
\describe{
\item{\code{Z}}{zzzzz}

\item{\code{...}}{etc}
}
\if{html}{\out{</div>}}
}
}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-meth5"></a>}}
\if{latex}{\out{\hypertarget{method-meth5}{}}}
\subsection{Method \code{meth5()}}{
C method 5.
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{C$meth5()}\if{html}{\out{</div>}}
}

}
\if{html}{\out{<hr>}}
\if{html}{\out{<a id="method-undocumented_method"></a>}}
\if{latex}{\out{\hypertarget{method-undocumented_method}{}}}
\subsection{Method \code{undocumented_method()}}{
\subsection{Usage}{
\if{html}{\out{<div class="r">}}\preformatted{C$undocumented_method()}\if{html}{\out{</div>}}
}

}
}

